Subject: bug#37528: 27.0.50; Can't view gpg-signed messages in Gnus anymore

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Sep 2019 16:31:50 +0200

Amin Bandali <[email-masked]> writes:

>> Are you completely up-to-date on the master branch?
>
> Hmm, yes; as shown in my bug report, I get this behaviour even when on
> c4e0ccd151a29f87bd674a5987f731a0da491692, your recent commit trying to
> fix this.  I tried both with a regular “make; make install”, as well as
> “make bootstrap; make install” to be sure.

Sorry; I first fixed this in one way yested, and then I changed it and
apparently didn't test the check: The test I had for whether we were
doing decryption of checking whether it was signed was reversed.

I've now fixed this -- could you pull again and see whether this fixes
it this time?  Sorry for the confusion here...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no